changelog: Get the history of changes on a quality profile: rule activation/deactivation, change in parameters/

API: sonarcloud.io:sonarqube
Endpoint: /api/qualityprofiles/changelog
Response format: application/json
Auth: unknown
Method: GET
Last Status: 400
Latency: 196ms

Description

Get the history of changes on a quality profile: rule activation/deactivation, change in parameters/severity. Events are ordered by date in descending order (most recent first).

Parameters (8)

key (string, query, optional)

Quality profile key. Mandatory unless 'qualityProfile' and 'language' are specified.

language (string, query, optional)

Quality profile language. Mandatory if 'key' is not set.

Constraints: {'enum': ['kubernetes', 'css', 'scala', 'jsp', 'py', 'js', 'plsql', 'apex', 'docker', 'ansible', 'rust', 'dart', 'jcl', 'java', 'web', 'xml', 'flex', 'json', 'ipynb', 'text', 'vbnet', 'azurepipelines', 'cloudformation', 'swift', 'yaml', 'cpp', 'c', 'rpg', 'go', 'kotlin', 'vb', 'tsql', 'pli', 'secrets', 'ruby', 'cs', 'groovy', 'cobol', 'shell', 'php', 'terraform', 'azureresourcemanager', 'abap', 'objc', 'ts', 'githubactions']}

organization (string, query, optional)

Organization key.

p (string, query, optional, default: 1)

1-based page number

ps (string, query, optional, default: 50)

Page size. Must be greater than 0 and less or equal than 500

qualityProfile (string, query, optional)

Quality profile name. Mandatory if 'key' is not set.

since (string, query, optional)

Start date for the changelog. Either a date (server timezone) or datetime can be provided.

to (string, query, optional)

End date for the changelog. Either a date (server timezone) or datetime can be provided.

Examples (1)

Get the history of changes on a quality profile: rule activation/deactivation, change in parameters/ openapi-spec
curl 'https://sonarcloud.io/api/qualityprofiles/changelog?key=AU-Tpxb--iU5OvuD2FLy&organization=my-org&p=42&ps=20&qualityProfile=Sonar+way&since=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200&to=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200'
import requests

resp = requests.get(
    "https://sonarcloud.io/api/qualityprofiles/changelog",
    params={
        'key': 'AU-Tpxb--iU5OvuD2FLy',
        'organization': 'my-org',
        'p': '42',
        'ps': '20',
        'qualityProfile': 'Sonar way',
        'since': '2017-10-19 or 2017-10-19T13:00:00+0200',
        'to': '2017-10-19 or 2017-10-19T13:00:00+0200',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("sonarqube")
result = api.fetch("api/qualityprofiles/changelog", key="AU-Tpxb--iU5OvuD2FLy", organization="my-org", p=42, ps=20, qualityProfile="Sonar way", since="2017-10-19 or 2017-10-19T13:00:00+0200", to="2017-10-19 or 2017-10-19T13:00:00+0200")

for item in result:
    print(item)
const resp = await fetch("https://sonarcloud.io/api/qualityprofiles/changelog?key=AU-Tpxb--iU5OvuD2FLy&organization=my-org&p=42&ps=20&qualityProfile=Sonar+way&since=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200&to=2017-10-19+or+2017-10-19T13%3A00%3A00%2B0200");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 04:13:43.059990 400 196ms
2026-04-15 00:28:07.372921 400 168ms
2026-04-14 03:14:36.932694 400 196ms
2026-04-12 13:28:42.895407 400 811ms
2026-04-10 02:49:16.875864 400 279ms
2026-04-09 03:22:19.738136 400 138ms